package com.red.circle.other.infra.database.cache.service.user;

import com.red.circle.other.infra.database.mongo.entity.user.region.SysRegionConfig;
import java.util.List;

/**
 * 系统分区缓存.
 *
 * @author pengliang on 2023/4/1
 */
public interface SysRegionCacheService {

  /**
   * 获取缓存.
   */
  List<SysRegionConfig> getCache(String sysOrigin);

  /**
   * 移除缓存.
   */
  void remove(String sysOrigin);

  /**
   * 移除缓存.
   */
  void remove();
}
